Clarity PPM1

Expand all | Collapse all

Uprade 15.4.0 to 15.4.1.

Jump to Best Answer
  • 1.  Uprade 15.4.0 to 15.4.1.

    Posted 06-11-2018 04:22 PM

    Just ran install.bat on a fairly fresh 15.4.0 with no customizations. Just wondering about a few things.

    The pre-install check results include

    Tried to search the documentation about the CREATE ANY DIRECTORY and the SELECT privilige., but did not see any reference. Are they covered in the documentation and are they done with the upgrade as those items are on in the post-install results?
    If I had 15.4. with DWH does the checkinstall recognize that?

    Possible customizations are of this type:

    Why might I get those? As said the db was as the fresh install for 15.4.0 left it. Again they are not in post-install results, so does the upgrade fix those?

    The post-install results are

    Why might I get the warnings about the db and the PPM DWH?
    When I go the CSA both display as available without any action and I can log in to the Classic and New UI.



  • 2.  Re: Uprade 15.4.0 to 15.4.1.

    Posted 06-11-2018 05:17 PM

    Hi Martti

     

    We are no longer requiring the right:

    CREATE ANY DIRECTORY

    It was amended as results of defect DE41200 and the documentation was modified to reflect this. 

     

    https://docops.ca.com/ca-ppm/15-4-1/en/installing-and-upgrading/install-ca-ppm

     That's the current required permissions:

     

     I will check if the checkinstall is already set to be adapted.

     

    Regarding the SELECT FROM DBA_DATAPUMP_JOBS, this permission is needed if you use the new database backup option whilst doing the upgrade (the one that does db backup in the background on upgrade). So if you don't use it, you can ignore it.

     

    Keep in mind anything you see as WARNING is not necessarily an ERROR - so it might be safe to ignore.

     

    The possible customizations are not actual customizations, all the objects you have starting with AV_ are part of the avee Add-In. There must be an addin that was installed, and this is why you see this.

    As we suggest, you should only remove the ones that you know are customizations. This list can only catch 'possible custom objects' as there are so many things that can be added to CA PPM. It's just to help you see, recognize and remove the existing ones. Again, it's level WARNING, so you are good here.

     

    Regarding DWH - you get this last warning because you have not fully set up DWH yet. Please create the link, ensure it works, enter the parameters in Data Warehouse settings and run the job to see if all goes well. The WARNING is there to ensure you do the setup as Data Warehouse is now required for installing PMO and we don't want customers to miss this important step.

     

     

    Hope this helps and let me know if there is anything -Nika



  • 3.  Re: Uprade 15.4.0 to 15.4.1.

    Posted 06-18-2018 04:07 PM

    Hello Nika, should have guessed it is you who answers my install/upgrade questions. Thank you.

    I can see that with Oracle you might get the warnings related to those rights. However, I have MS SQL so that is why I am wondering.

     

    Is SELECT FROM DBA_DATAPUMP_JOBS also Oracle only?

     

    To my knowledge I have on PMO add in installed. When I look at the list of add ins

    Add-Ins and Integrations - CA PPM - 15.4.1 - CA Technologies Documentation 

    I do not see an avee/AV add in. What is that and where might I see more info on that?

    Otherwise I could buy your explanation.

     

    Regarding the DWH you are right I have not fully set it up, just restored the dump and made it available before running the install script.



  • 4.  Re: Uprade 15.4.0 to 15.4.1.

    Posted 06-18-2018 04:33 PM

    Hi Martti,

     

    The database backup is available for both Oracle and MSSQL however the SELECT FROM DBA_DATAPUMP_JOBS  permission is an Oracle one, you are correct. I'll test and log this as it shouldn't be warning you on MSSQL. Simply ignore the warning as it does not apply to you.

     

    I checked on my 15.4 with PMO only and did not see the AV_ tables. These normally should be coming with an addin, they are not custom for sure. Unless you used the same prefix for your custom tables as well, but then you would know that.

    If not AVEE, what other addins you have? Any integrations? What do you see in cmn_install_history? Which backup you used for this database, 15.4 or 15.4.1? Let's find out what could have happened.



  • 5.  Re: Uprade 15.4.0 to 15.4.1.

    Posted 06-19-2018 02:41 AM

    Hello Nika

    No av/avee tables, no integrations and no custom tables either.

     

    The 15.4 was a fresh install and the db dump was 15.4

    Then I installed PMO and after that the sample data.

    Next I upgraded to 15.4.1

    The install history is



  • 6.  Re: Uprade 15.4.0 to 15.4.1.
    Best Answer

    Posted 06-19-2018 07:12 PM

    Thank you Martti for confirming tables are not there, I could get this reproduced on upgrade.

     

    It's not an issue with the actual addin, seems to be a bug with Checkinstall. The scripts for triggers and table constraints exclude AV_*, and the constraint one seems to have a problem and return it although no AV_ tables are in the system. I will get this logged for you and update the thread.



  • 7.  Re: Uprade 15.4.0 to 15.4.1.

    Posted 06-20-2018 05:05 PM

    Martti, 

     

    I logged DE42013 as low priority to get this warning fixed.

     

    Workaround is ignore the warning. Keep in mind these are potential customizations so not 100% something you should be concerned about. 

     

    Hope this helps -Nika



  • 8.  Re: Uprade 15.4.0 to 15.4.1.

    Posted 06-21-2018 12:55 AM

    Thanks Nika,

    I guess that must have been my only update for a while maybe the only for 15.x so I had not seen those warnings before.

    Did you also have a look at the checkinstall giving Oracle related message also for MS SQL?



  • 9.  Re: Uprade 15.4.0 to 15.4.1.

    Posted 06-22-2018 04:10 PM

    Hi Martti - 

     

    the issue is both for MSSQL and Oracle, it's in the checkinstall code where the list of database object names is being checked.

     

    Hope this helps! -Nika



  • 10.  Re: Uprade 15.4.0 to 15.4.1.

    Posted 06-23-2018 01:53 AM

    Hello Nika, yes the AV_ issue, but I was refferrring to the message about Oracle rights and job.